package com.microservices.pms.project.domain;

import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 测试单执行用例关联缺陷对象 pms_project_testsheet_issues
 *
 * @author microservices
 * @date 2023-11-30
 */
public class PmsProjectTestsheetIssues extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 测试单执行用例ID */
    @Excel(name = "测试单执行用例ID")
    private Long projectTestsheetCasesId;

    /** 测试缺陷ID */
    @Excel(name = "测试缺陷ID")
    private Long projectIssueId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectTestsheetCasesId(Long projectTestsheetCasesId) 
    {
        this.projectTestsheetCasesId = projectTestsheetCasesId;
    }

    public Long getProjectTestsheetCasesId() 
    {
        return projectTestsheetCasesId;
    }
    public void setProjectIssueId(Long projectIssueId) 
    {
        this.projectIssueId = projectIssueId;
    }

    public Long getProjectIssueId() 
    {
        return projectIssueId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectTestsheetCasesId", getProjectTestsheetCasesId())
            .append("projectIssueId", getProjectIssueId())
            .toString();
    }
}
